## NMSettingEthtool NMSettingEthtool |

## Functions

gboolean | nm_ethtool_optname_is_feature ()
gboolean | nm_ethtool_optname_is_coalesce ()
gboolean | nm_ethtool_optname_is_ring ()
gboolean | nm_ethtool_optname_is_pause ()
NMSetting * | nm_setting_ethtool_new ()
const char ** | nm_setting_ethtool_get_optnames ()
NMTernary | nm_setting_ethtool_get_feature ()
void | nm_setting_ethtool_set_feature ()
void | nm_setting_ethtool_clear_features ()

## Types and Values

#define | NM_SETTING_ETHTOOL_SETTING_NAME

## Description

## Functions

### nm_ethtool_optname_is_feature ()

    gboolean
    nm_ethtool_optname_is_feature (const char *optname);

### nm_ethtool_optname_is_coalesce ()

    gboolean
    nm_ethtool_optname_is_coalesce (const char *optname);

### nm_ethtool_optname_is_ring ()

    gboolean
    nm_ethtool_optname_is_ring (const char *optname);

### nm_ethtool_optname_is_pause ()

    gboolean
    nm_ethtool_optname_is_pause (const char *optname);

### nm_setting_ethtool_new ()

    NMSetting *
    nm_setting_ethtool_new (void);

### nm_setting_ethtool_get_optnames ()

    const char **
    nm_setting_ethtool_get_optnames (NMSettingEthtool *setting,
                                     guint *out_length);

`nm_setting_ethtool_get_optnames` is deprecated and should not be used in newly-written code.

### nm_setting_ethtool_get_feature ()

    NMTernary
    nm_setting_ethtool_get_feature (NMSettingEthtool *setting,
                                    const char *optname);

`nm_setting_ethtool_get_feature` is deprecated and should not be used in newly-written code.

### nm_setting_ethtool_set_feature ()

    void
    nm_setting_ethtool_set_feature (NMSettingEthtool *setting,
                                    const char *optname,
                                    NMTernary value);

`nm_setting_ethtool_set_feature` is deprecated and should not be used in newly-written code.

### nm_setting_ethtool_clear_features ()

    void
    nm_setting_ethtool_clear_features (NMSettingEthtool *setting);

`nm_setting_ethtool_clear_features` is deprecated and should not be used in newly-written code.

## Types and Values

### NM_SETTING_ETHTOOL_SETTING_NAME

    #define NM_SETTING_ETHTOOL_SETTING_NAME "ethtool"